Vai al contenuto

GPT-Image 1.5

Integra

ID del modello gpt-image-1.5
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1.5?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

File come nell'esempio: 0,134 $ 134 crediti API i tuoi file vengono misurati prima dell'esecuzione Esegui in questa pagina

Ottieni la chiave API
OpenAI Da testo a immagine #openai#gpt-image

Versione 1.5 text-to-image con qualità high predefinita e prompt fino a 32000 caratteri

OpenAI · Immagine

Il tuo primo risultato apparirà qui

Crea una richiesta qui sotto ed eseguila con la tua chiave API. Gli output vengono copiati nella nostra archiviazione, conservati per sempre oppure 7 giorni gratuitamente.

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio 88 / 32000

Prompt usato per generare immagini.

image_size predefinito 1024x1024

Proporzioni dell'immagine risultante.

quality predefinito high

Qualità dell'immagine risultante.

num_images predefinito 1

Numero di immagini da produrre.

Avanzate background · output_format
background predefinito auto

Sfondo dell'immagine risultante.

output_format predefinito png

Formato file delle immagini di output.

POST /run/gpt-image-1.5?wait=20 preventivo → 0,134 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1.5?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su GPT-Image 1.5

Genera immagini da prompt lunghi fino a 32000 caratteri. Le dimensioni sono 1024x1024, 1536x1024 e 1024x1536, con qualità low, medium o high (high per impostazione predefinita). Supporta sfondi transparent o opaque, fino a 4 immagini per chiamata e output png, jpeg o webp.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
promptobbligatorio
Tipostring
≤ 32.000 caratteri≥ 2 caratteri
Prompt usato per generare immagini.
image_sizefacoltativo
Tipoenum
Predefinito1024x1024
1024x10241536x10241024x1536
Proporzioni dell'immagine risultante.
backgroundfacoltativo
Tipoenum
Predefinitoauto
autotransparentopaque
Sfondo dell'immagine risultante.
qualityfacoltativo
Tipoenum
Predefinitohigh
lowmediumhigh
Qualità dell'immagine risultante.
num_imagesfacoltativo num_outputs
Tipointeger
Predefinito1
1 – 4
Numero di immagini da produrre.
output_formatfacoltativo
Tipoenum
Predefinitopng
jpegpngwebp
Formato file delle immagini di output.
obbligatorio Nome canonico, accettato anche

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gpt-image-1.5",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 134,
    "usd": "0.134",
    "charged": 134,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
images
array of object {url, content_type, file_name, file_size, width, height}Immagini prodotte dal modello.

Altri modelli: Da testo a immagine

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/gpt-image-1.5.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt